# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# At some point it will be worth considering switching to the fork at getmail6.org,
# which supports Python 3

%global python2ver %(python2 -c "import sys; print sys.version[:3]" 2>/dev/null || echo 0.0)

Summary:	A mail retrieval, sorting, and delivering system
Name:		getmail
Version:	5.16
Release:	2.%{__distinit}%{__distvers}
URL:		http://pyropus.ca/software/getmail/
Source0:	http://pyropus.ca/software/getmail/old-versions/getmail-%{version}.tar.gz
License:	GPL-2.0-only
BuildArch:	noarch
BuildRequires:	coreutils
BuildRequires:	python2-devel >= 2.3.3
BuildRequires:	sed
Requires:	python2 >= 2.3.3

%description
getmail is a multi-protocol mail retrieval system with support for simple and
domain POP3 and IMAP4 mailboxes, domain SDPS mailboxes, POP3-over-SSL and
IMAP-over-SSL, mail sorting, message filtering, and delivery to Maildirs,
Mboxrd files, external MDAs, and other advanced features.

%prep
%setup -q

# Remove spurious shellbangs
sed -i -e '/^#!\/usr\/bin\/env python[0-9.]*/d' getmailcore/*.py

%build
python2 setup.py build

%install
python2 setup.py install -O1 --skip-build --root=%{buildroot}
rm -rf %{buildroot}%{_docdir}/%{name}-%{version}

%files
%license docs/COPYING
%doc docs/BUGS docs/CHANGELOG docs/THANKS docs/TODO
%doc docs/*.txt docs/*.html docs/getmaildocs.css docs/getmailrc-examples
%{_bindir}/getmail
%{_bindir}/getmail_fetch
%{_bindir}/getmail-gmail-xoauth-tokens
%{_bindir}/getmail_maildir
%{_bindir}/getmail_mbox
%{python2_sitelib}/getmailcore/
%{python2_sitelib}/%{name}-%{version}-py%{python2ver}.egg-info
%{_mandir}/man1/getmail.1*
%{_mandir}/man1/getmail_fetch.1*
%{_mandir}/man1/getmail_maildir.1*
%{_mandir}/man1/getmail_mbox.1*

%changelog
* Wed Mar 29 2023 Paul Howarth <paul@city-fan.org> - 5.16-2
- Use SPDX-format license tag

* Mon Nov  1 2021 Paul Howarth <paul@city-fan.org> - 5.16-1
- Update to 5.16
  - Add new use_netrc and netrc_file configuration options to support reading
    username/password from a .netrc file
  - Documentation updates
- Fix dist tags for Alma and Rocky Linux
- Use %%license unconditionally

* Fri Dec 11 2020 Paul Howarth <paul@city-fan.org> - 5.15-1
- Update to 5.15
  - Fix example spamc arguments in FAQ
  - Document exit codes in manpages

* Tue Aug 20 2019 Paul Howarth <paul@city-fan.org> - 5.14-1
- Update to 5.14
  - Remove socket setblocking() calls that should no longer be needed and
    which may have caused hang-ups
  - Correct version number string in error message

* Mon Feb 25 2019 Paul Howarth <paul@city-fan.org> - 5.13-1
- Update to 5.13
  - Bugfix: The SNI change did not work correctly with Python < 2.7

* Thu Feb 14 2019 Paul Howarth <paul@city-fan.org> - 5.11-1
- Update to 5.11
  - Bugfix: The SNI change did not work correctly with Python < 2.7.13

* Wed Feb 13 2019 Paul Howarth <paul@city-fan.org> - 5.10-1
- Update to 5.10
  - Experimental: When SSL SNI support is present in the underlying Python (and
    OpenSSL), send SNI by default in the SSL setup; this should work around
    Gmail's brokenness with TLSv.1.3 connections when SNI is not sent

* Fri Feb  8 2019 Paul Howarth <paul@city-fan.org> - 5.9-1
- Update to 5.9
  - Documentation update: add note with workaround for Gmail SSL connections
    with OpenSSL 1.1.1 and later
  - Update copyright dates

* Mon Nov 12 2018 Paul Howarth <paul@city-fan.org> - 5.8-1
- Update to 5.8
  - Fix problem handling IMAP errors introduced in 5.7

* Wed Oct 31 2018 Paul Howarth <paul@city-fan.org> - 5.7-1
- Update to 5.7
  - When users specify an SSL version that no longer exists in the Python ssl
    module, do not result in an unhandled exception
  - Catch IMAP UNAVAILABLE temporary error during login

* Tue Apr  3 2018 Paul Howarth <paul@city-fan.org> - 5.6-1
- Update to 5.6
  - Fix references to version 4 in README
  - Add Gmail-specific XOAUTH2 login support for IMAP

* Fri Jan 19 2018 Paul Howarth <paul@city-fan.org> - 5.5-2
- Be more specific about use of Python 2

* Tue Dec 19 2017 Paul Howarth <paul@city-fan.org> - 5.5-1
- Update to 5.5
  - Added record_mailbox configuration parameter, to allow turning off the
    header getmail adds with this information

* Mon Oct  9 2017 Paul Howarth <paul@city-fan.org> - 5.4-1
- Update to 5.4
  - Fix another error in logging an error condition

* Fri Oct  6 2017 Paul Howarth <paul@city-fan.org> - 5.3-1
- Update to 5.3
  - Another case where an error condition resulted in getmail not displaying
    the correct message

* Thu Oct  5 2017 Paul Howarth <paul@city-fan.org> - 5.2-1
- Update to 5.2
  - Disconnection during IMAP IDLE could result in an error message rather
    than silently exiting

* Mon Jul 17 2017 Paul Howarth <paul@city-fan.org> - 5.1-1
- Update to 5.1
  - New release numbering scheme; previous version numbers were just getting
    too high
  - Catch and ignore/exit cleanly after reset connection in IMAP IDLE mode
  - Allow specifying an expected SSL certificate hostname, for when the
    server's certificate does not match the domain name used to connect to it
  - Fix error message not actually giving the header field name incorrectly
    specified as containing the envelope recipient address
  - Add new password_command configuration parameter for retrievers, allowing
    getmail to retrieve the account password from any arbitrary external
    command
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tag
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section
  - egg-info always included now
  - %%{python_sitelib} always defined now

* Mon Feb 20 2017 Paul Howarth <paul@city-fan.org> - 4.54.0-1
- Update to 4.54.0
  - Fix error running getmail_fetch introduced in 4.53.0

* Mon Jan 16 2017 Paul Howarth <paul@city-fan.org> - 4.53.0-1
- Update to 4.53.0
  - Fix plaintext version of docs not being generated correctly
  - Fix 'getmail --fingerprint' not logging server TLS fingerprint correctly
    with SimplePOP3SSLRetriever

* Mon Oct 24 2016 Paul Howarth <paul@city-fan.org> - 4.52.0-1
- Update to 4.52.0
  - Add 'ignore_header_shrinkage' parameter to Filter_external for users who
    know it is normal for their particular filter to result in a smaller
    message header than the source message, for example when the filter
    encapsulates the original message in a simpler wrapper message
  - EXPERIMENTAL: When deleting a message from an IMAP mailbox, set the \Seen
    flag in addition to the the \Deleted flag; this apparently prevents the
    ever-innovatively-broken MSExchange from sending a spurious incorrect
    disposition-notification message to the sender of the message
  - Enable socket timeouts for IMAP SSL classes by default; they were disabled
    in the code because they were incompatible with SSL in older versions of
    Python

* Wed Oct 12 2016 Paul Howarth <paul@city-fan.org> - 4.51.0-1
- Update to 4.51.0
  - Fix exception when using MDA_External and an IMAP mailbox whose name
    contains non-ASCII chars
- Package the no-longer-empty text documentation files again

* Tue Jul 12 2016 Paul Howarth <paul@city-fan.org> - 4.50.0-1
- Update to 4.50.0
  - Maybe fix handling of OSX keychain passwords containing double-quote chars
  - Fix getmail erroring out on IMAP folders containing i18n chars
- Drop empty text documentation files

* Thu Jan 14 2016 Paul Howarth <paul@city-fan.org> - 4.49.0-1
- Update to 4.49.0
  - Make IMAP class only issue EXPUNGE command on mailbox close if we have
    actually deleted any messages from the open mailbox; this makes use of
    read-only IMAP folders possible

* Thu Jul  2 2015 Paul Howarth <paul@city-fan.org> - 4.48.0-1
- Update to 4.48.0
  - Work around brain-damaged change in Python's poplib that causes message
    retrieval errors if any line of a message has more than 2048 characters in
    it
  - Restore link to moved Marc mailing list archive

* Thu Feb 26 2015 Paul Howarth <paul@city-fan.org> - 4.47.0-1
- Update to 4.47.0
  - Try to work around pathological breakage in one random POP server
    implementation
  - Remove dead marc.theaimsgroup.com list archive from docs
  - Bugfix: if you combined IMAP IDLE mode with delete_after, getmail would,
    after remaining connected to the server for the number of days configured,
    begin deleting messages immediately after retrieval instead of after the
    configured delay
- Use %%license where possible

* Mon Apr  7 2014 Paul Howarth <paul@city-fan.org> - 4.46.0-1
- Update to 4.46.0
  - Fix --idle checking Python version incorrectly, resulting in incorrect
    warning about running with Python < 2.5
  - Add missing support for SSL certificate checking in POP3, which broke POP
    retrieval in v4.45.0; requires Python 2.6 or newer

* Mon Mar 31 2014 Paul Howarth <paul@city-fan.org> - 4.45.0-1
- Update to 4.45.0
  - Perform hostname-vs-certificate matching of SSL certificate if validating
    the certificate
  - Fix missing plaintext versions of documentation

* Mon Mar 24 2014 Paul Howarth <paul@city-fan.org> - 4.44.0-1
- Update to 4.44.0
  - Add extended SSL options for IMAP retrievers, allowing certificate
    verification and other features
  - Fix missing plaintext versions of documentation
  - Fix "Header instance has no attribute 'strip'" error, which cropped up in
    some configurations
- Drop support for old distributions prior to FC-5

* Sun Sep  1 2013 Paul Howarth <paul@city-fan.org> - 4.43.0-1
- Update to 4.43.0
  - Add IMAP IDLE support

* Mon Aug  5 2013 Paul Howarth <paul@city-fan.org> - 4.42.0-1
- Update to 4.42.0
  - Fix problem with non-ascii characters in newly-added message header fields
    with output from Filter_classifier

* Mon May 27 2013 Paul Howarth <paul@city-fan.org> - 4.41.0-1
- Update to 4.41.0
  - Messages retrieved with POP could have a blank trailing line removed when
    delivered
  - Fix an ImportError when IMAP retriever used with getmail under Python 2.4

* Sun May 12 2013 Paul Howarth <paul@city-fan.org> - 4.40.3-1
- Update to 4.40.3
  - Increase system recursion limit when run with Python 2.3, to prevent
    recursion errors in parsing some pathologically complex MIME emails

* Thu May  9 2013 Paul Howarth <paul@city-fan.org> - 4.40.2-1
- Update to 4.40.2
  - Fix a backwards incompatibility with Python 2.3 and 2.4 introduced in
    getmail 4.38.0

* Tue Apr 23 2013 Paul Howarth <paul@city-fan.org> - 4.40.1-1
- Update to 4.40.1
  - Again change protocol codes passed to OSX, as they're not only reserved
    codes, but also case-sensitive; use the ones an OSX user reports work
    properly
- Drop UTF8 patch again

* Mon Apr 22 2013 Paul Howarth <paul@city-fan.org> - 4.40.0-1
- Update to 4.40.0
  - Convert SIGTERM to SIGINT so getmail can cleanup and exit normally if
    killed with a default signal
  - Fix change that resulted in passing full protocol name to OSX keyring
    program, which can't handle it (restricted to 4-character code)
- Re-introduced UTF8 patch (sigh)

* Mon Mar 11 2013 Paul Howarth <paul@city-fan.org> - 4.39.1-1
- Update to 4.39.1
  - Fix a bug that could crop up when retrieving mail via IMAP from Gmail, and
    the Gmail servers provided weird data in their header extensions

* Mon Feb 25 2013 Paul Howarth <paul@city-fan.org> - 4.39.0-1
- Update to 4.39.0
  - Fix an oldmail filename issue that occurred with certain non-ASCII
    characters in an IMAP mailbox name
- Drop UTF8 patch, no longer needed

* Mon Feb 18 2013 Paul Howarth <paul@city-fan.org> - 4.38.0-1
- Update to 4.38.0
  - Fix retrieving mail from an IMAP mailbox with non-ASCII characters in its
    name causing difficult-to-understand unicode errors during delivery
- Update UTF8 patch

* Mon Jan 28 2013 Paul Howarth <paul@city-fan.org> 4.37.0-1
- Update to 4.37.0
  - Handle IMAP servers that include "/" in message IDs better, so those
    messages aren't always thought to be new
  - record (IMAP) mailbox retrieved from in X-getmail-retrieved-from-mailbox:
    header field, and make it available as %%(mailbox) substitution in
    MDA_external arguments
  - Add delete_bigger_than option to allow removal of large messages after
    retrieval, even if not deleting messages otherwise
- Re-introduce UTF8 patch

* Mon Dec 17 2012 Paul Howarth <paul@city-fan.org> - 4.36.0-1
- Update to 4.36.0
  - Add support for retrieving POP/IMAP passwords from, and storing them to,
    the Gnome keyring

* Thu Oct 25 2012 Paul Howarth <paul@city-fan.org> - 4.35.0-1
- Update to 4.35.0
  - Fix From_ quoting in mbox delivery; use of the Python stdlib function
    meant getmail was incorrectly using mboxo-style quoting instead of mboxrd
    quoting, probably since early in the v4 series

* Mon Sep 10 2012 Paul Howarth <paul@city-fan.org> - 4.34.0-1
- Update to 4.34.0
  - Retrieve Gmail metadata (labels, thread ID, message ID) via IMAP extension
    and record it in new message headers

* Wed Aug  8 2012 Paul Howarth <paul@city-fan.org> - 4.33.0-1
- Update to 4.33.0
  - Allow normal exit on interrupt (ctrl-c) to allow the user to abort message
    retrieval while still remembering already-retrieved messages as successfully
    delivered; you may get a weird error message after you abort, since the
    server may be in the middle of delivering another message to getmail at the
    time

* Mon Jul  9 2012 Paul Howarth <paul@city-fan.org> - 4.32.0-1
- Update to 4.32.0
  - Prevent some nuisance stack traces if getmail cannot connect to the
    POP/IMAP server correctly
  - Restore use_peek IMAP retriever parameter, which accidentally got
    removed in 4.30

* Fri Jul  6 2012 Paul Howarth <paul@city-fan.org> - 4.31.0-1
- Update to 4.31.0
  - Improved backwards compatibility with pre-v.4.22.0 oldmail files, so IMAP
    mail is not re-retrieved if you upgrade from a 4.22 or earlier to this one;
    no user action necessary

* Thu Jun 28 2012 Paul Howarth <paul@city-fan.org> - 4.30.2-1
- Update to 4.30.2
  - Fix a nuisance stack trace that would be dumped if a connection failed in
    particular states

* Fri Jun 22 2012 Paul Howarth <paul@city-fan.org> - 4.30.1-1
- Update to 4.30.1
  - Fix breakage introduced in 4.29.0 where BrokenUIDLPOP3Retriever would fail
    with a TypeError at logout time
  - Fix breakage introduced in 4.29.0 where deleted mail was not being expunged
    from the last (or only) folder retrieved from in an IMAP session
  - Silence a nuisance deprecation warning about the sets module when running
    with Python ≥ 2.5 that was reintroduced in 4.29.0
- Drop all patches, no longer needed

* Wed Jun 20 2012 Paul Howarth <paul@city-fan.org> - 4.29.0-1
- Update to 4.29.0
  - Ensure getmail exits nonzero if various error conditions (like POP/IMAP
    authentication failure) occur
  - Work around bug in python < 2.5.0 when dealing with read-only IMAP
    mailboxes
  - Do IMAP modified-utf7 conversion of mailbox names containing non-ASCII
    characters
  - Add special ALL value for retrieving mail from all selectable IMAP
    mailboxes in the account
  - Change IMAP retrieval strategy to retrieve all messages from a mailbox,
    then move on to the next mailbox, etc., which should result in increased
    speed but if you set 'max_messages_per_session' too low, this could result
    in later mailboxes not being retrieved from
  - Update old contact information for Free Software Foundation
  - Fix incorrect character encoding in plaintext documentation
- Add upstream patch to fix IMAP expunge
- Re-introduce UTF8 patch

* Mon May 21 2012 Paul Howarth <paul@city-fan.org> - 4.27.0-1
- Update to 4.27.0
  - Make use of IMAP BODY.PEEK configurable; set the IMAP retriever parameter
    'use_peek' to False to disable use of PEEK to get getmail's historical IMAP
    behaviour

* Mon Apr 16 2012 Paul Howarth <paul@city-fan.org> - 4.26.0-1
- Update to 4.26.0
  - Switch to using BODY.PEEK in IMAP retrieval; I no longer see problems with
    this feature in my testing (if users experience incompatibility with any
    IMAP servers where 4.25.0 worked, please let me know)

* Thu Feb  2 2012 Paul Howarth <paul@city-fan.org> - 4.25.0-1
- Update to 4.25.0
  - Add support for storing POP/IMAP password in OSX keychain

* Mon Dec 12 2011 Paul Howarth <paul@city-fan.org> - 4.24.0-1
- Update to 4.24.0
  - Add an explicit expunge when closing an IMAP mailbox, for servers that
    incorrectly do not do this when the mailbox is closed
  - Fix incorrect section reference for 'mailboxes' parameter in documentation
  - Fix getmail_fetch, broken in 4.21.0

* Mon Nov 21 2011 Paul Howarth <paul@city-fan.org> - 4.23.0-1
- Update to 4.23.0
  - Fix race if new message shows up in POP3 mailbox between running the UIDL
    and LIST commands

* Mon Nov 14 2011 Paul Howarth <paul@city-fan.org> - 4.22.2-1
- Update to 4.22.2
  - Fix an error when logging a bad response to an IMAP SELECT command,
    introduced in 4.21.0

* Mon Oct  3 2011 Paul Howarth <paul@city-fan.org> - 4.22.1-1
- Update to 4.22.1
  - Fix BrokenUIDLPOP3Retriever breakage from 4.21.0

* Mon Sep 26 2011 Paul Howarth <paul@city-fan.org> - 4.22.0-1
- Update to 4.22.0
  - Automatically open IMAP folders read-only if neither the delete nor
    delete_after options are in use; necessary to access chatlogs via Gmail
  - avoid sorting msgids on each retrieval, reducing overhead when dealing with
    folders containing thousands of messages
  - When retriever supports multiple mail folders (IMAP), store oldmail data
    for each folder separately, preventing problems in some cases when using
    multiple rc files with the same account

* Mon Jul 18 2011 Paul Howarth <paul@city-fan.org> - 4.20.4-1
- Update to 4.20.4
  - Include more info from server response in error message when IMAP command
    errors out
  - Switch to using Parser instead of HeaderParser to correct illegal
    formatting bogosities in the body parts of incoming messages
- Fix dist tag for CentOS 6 and Scientific Linux
- Docs no longer need converting to UTF-8

* Tue May 31 2011 Paul Howarth <paul@city-fan.org> - 4.20.3-1
- Update to 4.20.3
  - Fix logging errors in error paths

* Mon Apr 11 2011 Paul Howarth <paul@city-fan.org> - 4.20.2-1
- Update to 4.20.2
  - Further changes to the Received: header construction to handle IPv6 better

* Fri Apr  8 2011 Paul Howarth <paul@city-fan.org> - 4.20.1-1
- Update to 4.20.1
  - Ensure correct remote address and port is included in the Received: trace
    headers generated by getmail; previously the first address found for the
    server was used even if another address was actually used to connect to the
    server
- Nobody else likes macros for commands
- BR/R: python2 rather than just python

* Wed Jul 28 2010 Paul Howarth <paul@city-fan.org> - 4.20.0-2
- Rebuild for python 2.7 in Rawhide

* Wed Jun 30 2010 Paul Howarth <paul@city-fan.org> - 4.20.0-1
- Update to 4.20.0 (fix crap code from bad svn merge that slipped into 4.18.0,
  triggering exceptions in MDA_external configs)

* Tue Jun 29 2010 Paul Howarth <paul@city-fan.org> - 4.19.0-1
- Update to 4.19.0
  - Fix missing import introduced in 4.18.0
- Regex import patch upstreamed

* Tue Jun 29 2010 Paul Howarth <paul@city-fan.org> - 4.18.0-2
- Add missing import of regex library in _retrieverbases.py

* Mon Jun 28 2010 Paul Howarth <paul@city-fan.org> - 4.18.0-1
- Update to 4.18.0
  - Update broken link in FAQ
  - Strip a few extra problematic characters when generating oldmail filenames
  - Improve diagnostics for external programs writing to stderr

* Wed May 26 2010 Paul Howarth <paul@city-fan.org> - 4.17.0-2
- Fix dist tag for RHEL-6 Beta

* Sun May  2 2010 Paul Howarth <paul@city-fan.org> - 4.17.0-1
- Update to 4.17.0 (change to how getmail counts messages in an IMAP mailbox;
  prevents problems where getmail would only see the first 500 messages in a
  mailbox with some IMAP servers that return oddball responses to SELECT)

* Wed Jan  6 2010 Paul Howarth <paul@city-fan.org> - 4.16.0-1
- Update to 4.16.0 (additional fix for IMAP server that offers a message it
  then fails to return)

* Thu Dec  3 2009 Paul Howarth <paul@city-fan.org> - 4.15.0-1
- Update to 4.15.0 (default port for MultidropIMAPSSLRetriever was incorrect)

* Tue Nov 24 2009 Paul Howarth <paul@city-fan.org> - 4.14.0-1
- Update to 4.14.0 (handle additional cases where server is broken and offers a
  message that it then fails to return)
- Dist tag for Rawhide no longer needs special-casing

* Thu Oct 15 2009 Paul Howarth <paul@city-fan.org> - 4.13.0-1
- Update to 4.13.0 (fix new log message not having trailing newline)

* Thu Oct  8 2009 Paul Howarth <paul@city-fan.org> - 4.12.0-1
- Update to 4.12.0
  - Handle MSExchange failure to deliver message gracefully
  - Documentation updates regarding Python IMAP memory bug
  - Fix bad tag in documentation

* Mon Aug 10 2009 Paul Howarth <paul@city-fan.org> - 4.11.0-1
- Update to 4.11.0
  - Fix --dump for rcfiles containing "verbose=0" option
  - Fix copy-and-paste error in documentation of MultiSorter destination

* Fri Aug  7 2009 Paul Howarth <paul@city-fan.org> - 4.10.0-1
- Update to 4.10.0 (add "message_log_verbose" option, off by default)
- configuration.txt now ASCII, no longer need to patch to UTF-8
- Handle egg-info more cleanly

* Fri Jul 17 2009 Paul Howarth <paul@city-fan.org> - 4.9.2-1
- Update to 4.9.2 (honour TMPDIR, recode CHANGELOG as UTF-8)
- List documents more explicitly to avoid including manpages twice

* Tue Jun  2 2009 Paul Howarth <paul@city-fan.org> - 4.9.1-1
- Update to 4.9.1 (improved robustness to oldmail file corruption)
- Convert docs to UTF-8 again

* Mon Apr  6 2009 Paul Howarth <paul@city-fan.org> - 4.9.0-1
- Update to 4.9.0 (adds Kerberos authentication support for IMAP servers)
- Update to SLES-compatible dist tag macros
- Docs already UTF-8, no need to convert them

* Mon Sep 29 2008 Paul Howarth <paul@city-fan.org> - 4.8.4-1
- Update to 4.8.4
- Recode docs as UTF-8

* Tue Aug 12 2008 Paul Howarth <paul@city-fan.org> - 4.8.3-1
- Update to 4.8.3

* Mon Aug  4 2008 Paul Howarth <paul@city-fan.org> - 4.8.2-1
- Update to 4.8.2
- Tweak dist tag macros to work on current Rawhide with three-part releasenum
- Tweak %%{pythonver} macro definition to return a number if python isn't
  present in the buildroot, needed for SRPM building  in mock

* Thu Mar 27 2008 Paul Howarth <paul@city-fan.org> - 4.8.1-1
- Update to 4.8.1

* Wed Feb 20 2008 Paul Howarth <paul@city-fan.org> - 4.8.0-1
- Update to 4.8.0
- Tweak %%files list to include egg-info when present

* Fri Nov  9 2007 Paul Howarth <paul@city-fan.org> - 4.7.7-1
- Update to 4.7.7

* Thu Aug  9 2007 Paul Howarth <paul@city-fan.org> - 4.7.6-1
- Update to 4.7.6
- Clarify license as GPLv2

* Thu Jun  7 2007 Paul Howarth <paul@city-fan.org> - 4.7.5-1
- Update to 4.7.5

* Wed Apr 25 2007 Paul Howarth <paul@city-fan.org> - 4.7.4-1
- Update to 4.7.4

* Mon Mar 19 2007 Paul Howarth <paul@city-fan.org> - 4.7.3-1
- Update to 4.7.3

* Wed Feb 21 2007 Paul Howarth <paul@city-fan.org> - 4.7.2-1
- Update to 4.7.2

* Mon Feb  5 2007 Paul Howarth <paul@city-fan.org> - 4.7.1-1
- Update to 4.7.1
- Fix dist tag for fc7 onwards

* Wed Jan 24 2007 Paul Howarth <paul@city-fan.org> - 4.7.0-1
- Update to 4.7.0

* Fri Jan  5 2007 Paul Howarth <paul@city-fan.org> - 4.6.7-1
- Update to 4.6.7

* Wed Dec 13 2006 Paul Howarth <paul@city-fan.org> - 4.6.6-1
- Update to 4.6.6

* Mon Dec 11 2006 Paul Howarth <paul@city-fan.org> - 4.6.5-2
- Fix dist tag for development builds
- Rebuild for python 2.5 on Rawhide
- Buildreq python-devel

* Sat Oct 21 2006 Paul Howarth <paul@city-fan.org> - 4.6.5-1
- Update to 4.6.5

* Fri Sep 29 2006 Paul Howarth <paul@city-fan.org> - 4.6.4-1
- Update to 4.6.4

* Thu Sep  7 2006 Paul Howarth <paul@city-fan.org> - 4.6.3-2
- Simplify python-abi dependency check code
- Buildreq python, not python-devel
- Fix distribution tags for development releases
- Don't ghost .pyo files

* Fri Jun 23 2006 Paul Howarth <paul@city-fan.org> - 4.6.3-1
- Update to 4.6.3

* Fri Jun  9 2006 Paul Howarth <paul@city-fan.org> - 4.6.2-1
- Update to 4.6.2

* Thu Jun  1 2006 Paul Howarth <paul@city-fan.org> - 4.6.1-1
- Update to 4.6.1
- Define %%{__id_u} in a more portable way
- Remove spurious shellbangs and update License: tag to quieten rpmlint

* Thu Apr  6 2006 Paul Howarth <paul@city-fan.org> - 4.6.0-1
- Update to 4.6.0

* Thu Feb 16 2006 Paul Howarth <paul@city-fan.org> - 4.5.4-1
- Update to 4.5.4

* Fri Feb 10 2006 Paul Howarth <paul@city-fan.org> - 4.5.3-1
- Update to 4.5.3

* Wed Feb  8 2006 Paul Howarth <paul@city-fan.org> - 4.5.2-1
- Update to 4.5.2

* Mon Feb  6 2006 Paul Howarth <paul@city-fan.org> - 4.5.1-1
- Update to 4.5.1

* Thu Feb  2 2006 Paul Howarth <paul@city-fan.org> - 4.5.0-1
- Update to 4.5.0
- Tweak distribution-detection code to support builds on CentOS etc.

* Wed Jan  4 2006 Paul Howarth <paul@city-fan.org> - 4.4.4-1
- Update to 4.4.4

* Fri Dec  2 2005 Paul Howarth <paul@city-fan.org> - 4.4.3-1
- Update to 4.4.3

* Mon Nov 14 2005 Paul Howarth <paul@city-fan.org> - 4.4.2-1
- Update to 4.4.2

* Thu Nov 10 2005 Paul Howarth <paul@city-fan.org> - 4.4.1-1
- Update to 4.4.1

* Wed Nov  9 2005 Paul Howarth <paul@city-fan.org> - 4.4.0-1
- Update to 4.4.0
- Add getmail_fetch program and manpage

* Thu Nov  3 2005 Paul Howarth <paul@city-fan.org> - 4.3.14-1
- Update to 4.3.14
- Simplify distribution-detection, not querying rpmdb
- Unconditionally remove buildroot in %%clean and %%install

* Thu Oct 20 2005 Paul Howarth <paul@city-fan.org> - 4.3.13-1
- Update to 4.3.13

* Sat Oct 15 2005 Paul Howarth <paul@city-fan.org> - 4.3.12-1
- Update to 4.3.12
- Fix directory ownership
- Don't use macros for pathnames for build-time commands, hardcode them instead
- Only generate manual python-abi dep for python-2.3-based distros

* Fri Jun 17 2005 Paul Howarth <paul@city-fan.org> - 4.3.11-1
- Update to 4.3.11

* Fri May 20 2005 Paul Howarth <paul@city-fan.org> - 4.3.10-1
- Update to 4.3.10

* Thu May 19 2005 Paul Howarth <paul@city-fan.org> - 4.3.9-1
- Update to 4.3.9
- Rewrite spec in more of a Fedora Extras style

* Sat May  7 2005 Paul Howarth <paul@city-fan.org> - 4.3.8-1
- Update to 4.3.8

* Mon May  2 2005 Paul Howarth <paul@city-fan.org> - 4.3.7-1
- Update to 4.3.7

* Sun Apr 10 2005 Paul Howarth <paul@city-fan.org> - 4.3.6-1
- Update to 4.3.6

* Tue Mar 15 2005 Paul Howarth <paul@city-fan.org> - 4.3.5-1
- Update to 4.3.5
- Use -O1 at install time
- Require python-devel for building

* Tue Mar 15 2005 Paul Howarth <paul@city-fan.org> - 4.3.4-1
- Update to 4.3.4

* Sun Feb 20 2005 Paul Howarth <paul@city-fan.org> - 4.3.3-1
- Update to 4.3.3

* Fri Feb 18 2005 Paul Howarth <paul@city-fan.org> - 4.3.2-2
- Update URLs

* Sun Feb  6 2005 Paul Howarth <paul@city-fan.org> - 4.3.2-1
- Update to 4.3.2

* Wed Jan 19 2005 Paul Howarth <paul@city-fan.org> - 4.3.1-1
- Update to 4.3.1

* Tue Jan 11 2005 Paul Howarth <paul@city-fan.org> - 4.3.0-1
- Update to 4.3.0

* Mon Jan  3 2005 Paul Howarth <paul@city-fan.org> - 4.2.6-1
- Update to 4.2.6

* Fri Dec 10 2004 Paul Howarth <paul@city-fan.org> - 4.2.5-1
- Update to 4.2.5

* Tue Nov 23 2004 Paul Howarth <paul@city-fan.org> - 4.2.4-1
- Update to 4.2.4

* Fri Nov 19 2004 Paul Howarth <paul@city-fan.org> - 4.2.3-1
- Update to 4.2.3

* Tue Oct 12 2004 Paul Howarth <paul@city-fan.org> - 4.2.2-1
- Update to 4.2.2

* Sat Oct  9 2004 Paul Howarth <paul@city-fan.org> - 4.2.1-1
- Update to 4.2.1

* Mon Sep 20 2004 Paul Howarth <paul@city-fan.org> - 4.2.0-1
- Security update to 4.2.0

* Tue Sep 14 2004 Paul Howarth <paul@city-fan.org> - 4.1.5-1
- Update to 4.1.5

* Wed Sep 01 2004 Paul Howarth <paul@city-fan.org> - 4.1.3-1
- Update to 4.1.3

* Sat Aug 28 2004 Paul Howarth <paul@city-fan.org> - 4.1.1-1
- Update to 4.1.1

* Wed Aug 25 2004 Paul Howarth <paul@city-fan.org> - 4.1.0-1
- Update to 4.1.0

* Fri Aug 20 2004 Paul Howarth <paul@city-fan.org> - 4.0.13-1
- Update to 4.0.13

* Thu Aug 19 2004 Paul Howarth <paul@city-fan.org> - 4.0.11-1
- Update to 4.0.11

* Fri Aug 13 2004 Paul Howarth <paul@city-fan.org> - 4.0.10-1
- Update to 4.0.10

* Tue Aug 10 2004 Paul Howarth <paul@city-fan.org> - 4.0.9-1
- Update to 4.0.9

* Sat Aug  7 2004 Paul Howarth <paul@city-fan.org> - 4.0.8-1
- Update to 4.0.8

* Fri Aug  6 2004 Paul Howarth <paul@city-fan.org> - 4.0.7-1
- Update to 4.0.7

* Thu Aug  5 2004 Paul Howarth <paul@city-fan.org> - 4.0.6-2
- Simplified install process

* Thu Aug  5 2004 Paul Howarth <paul@city-fan.org> - 4.0.6-1
- Initial RPM build (FC2 only due to python ≥ 2.3.3 requirement)
